SystemOrganization addCategory: #ConfigurationOfSwaOmniBrowser!

Object subclass: #ConfigurationOfSwaOmniBrowser
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfSwaOmniBrowser'!

!ConfigurationOfSwaOmniBrowser class methodsFor: 'development support' stamp: 'mt 5/3/2012 11:10:07.98'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfSwaOmniBrowser class methodsFor: 'private' stamp: 'mt 5/3/2012 11:10:08.001'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfSwaOmniBrowser class methodsFor: 'private' stamp: 'mt 5/3/2012 11:10:08.011'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfSwaOmniBrowser class methodsFor: 'private' stamp: 'mt 5/3/2012 11:10:08.021'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfSwaOmniBrowser class methodsFor: 'metacello tool support' stamp: 'mt 5/3/2012 11:10:08.033'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfSwaOmniBrowser class methodsFor: 'loading' stamp: 'mt 5/3/2012 11:10:08.043'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfSwaOmniBrowser class methodsFor: 'loading' stamp: 'mt 5/3/2012 11:10:08.054'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfSwaOmniBrowser class methodsFor: 'accessing' stamp: 'mt 5/3/2012 11:10:08.064'!
project

	^self new project! !

!ConfigurationOfSwaOmniBrowser class methodsFor: 'development support' stamp: 'mt 5/3/2012 11:10:07.99'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfSwaOmniBrowser methodsFor: 'baselines' stamp: 'mt 5/3/2012 12:09:41.823'!
baseline100: spec 
	<version: '1.0-baseline'>
        
	spec for: #common do: [
      	spec blessing: #baseline.
      	spec repository: 'http://source.wiresong.ca/ob'.
		
		spec project: 'OCompletion' with: [
			spec
				className: 'ConfigurationOfOCompletion';
				repository: 'http://www.squeaksource.com/MetacelloRepository'].
		
		spec package: 'Refactoring-Core' with: [spec
			repository: 'http://www.squeaksource.com/rb';
			requires: 'Refactoring-Changes'].
		spec package: 'Refactoring-Changes' with: [spec
			repository: 'http://www.squeaksource.com/rb';
			requires: 'Refactoring-Environment'].
		spec package: 'Refactoring-Critics' with: [spec
			repository: 'http://www.squeaksource.com/rb';
			requires: 'Refactoring-Changes'].
		spec package: 'Refactoring-Environment' with: [spec
			repository: 'http://www.squeaksource.com/rb';
			requires: 'AST-Core'].
		spec package: 'Refactoring-Spelling' with: [spec
			repository: 'http://www.squeaksource.com/rb';
			requires: 'Refactoring-Critics'].
		
		spec package: 'AST-Core' with: [spec
			repository: 'http://www.squeaksource.com/rb'].
		spec package: 'AST-Semantic' with: [spec
			repository: 'http://www.squeaksource.com/rb';
			requires: 'AST-Core'].
			
		spec package: 'VB-Regex' with: [
			spec repository: 'http://www.squeaksource.com/Regex'].
		
		spec project: 'SwaUtilities' with: [
			spec
				className: 'ConfigurationOfSwaUtil';
				repository: 'http://www.squeaksource.com/MetacelloRepository'].
			
		spec package: 'SWAOBExtensions' with: [
			spec repository: 'http://www.hpi.uni-potsdam.de/hirschfeld/squeaksource/SwaUtilities'].
			
		spec package: 'ShoutCore' with: [spec
			repository: 'http://www.hpi.uni-potsdam.de/hirschfeld/squeaksource/omnibrowser'].
		
		spec 
			package: 'OmniBrowser';
			package: 'OB-Standard';
			package: 'OB-Morphic' with: [ spec
				repository: 'http://www.hpi.uni-potsdam.de/hirschfeld/squeaksource/omnibrowser';
				requires: 'OmniBrowser' ];
			package: 'OB-Shout' with: [ spec requires: #('OB-Standard' 'OB-Morphic'). ];
			package: 'OCForOB' with: [ spec
				repository: 'http://www.squeaksource.com/OCompletion';
				requires: #('OCompletion' 'OmniBrowser' 'OB-Standard')];
			package: 'OB-SUnitIntegration' with: [ spec requires: 'OB-Standard' ];
			package: 'OB-Refactory' with: [ spec requires: #('Refactoring-Core' 'Refactoring-Critics' 'OB-Standard')];
			package: 'OB-Regex' with: [ spec requires: #('Refactoring-Core' 'OB-Refactory')].
			
		spec
			group: 'default' with: #('OmniBrowser' 'OB-Morphic' 'OB-Standard' 'OB-Refactory' 'OB-SUnitIntegration' 'OB-Shout' 'OB-Regex' 'OCForOB' 'SwaUtilities' 'SWAOBExtensions').
	].! !

!ConfigurationOfSwaOmniBrowser methodsFor: 'symbolic versions' stamp: 'mt 5/3/2012 11:12:09.657'!
development: spec 
	<symbolicVersion: #development>
	
	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfSwaOmniBrowser methodsFor: 'accessing' stamp: 'mt 5/3/2012 11:10:07.893'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfSwaOmniBrowser methodsFor: 'symbolic versions' stamp: 'mt 5/3/2012 11:12:05.419'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'squeak4.2.x' version: '1.0'.! !

!ConfigurationOfSwaOmniBrowser methodsFor: 'versions' stamp: 'mt 5/3/2012 11:56:56.717'!
version100: spec

	<version: '1.0' imports: #('1.0-baseline')>
	
	spec for: #common do: [
		spec blessing: #release.
		spec author: 'Marcel Taeumel'.
		
		spec
			project: 'SwaUtil' with: '1.1.3';
			package: 'SWAOBExtensions' with: 'SWAOBExtensions-test.5';
			project: 'OCompletion' with: '1.2.2';
			package: 'VB-Regex' with: 'VB-Regex-damienpollet.17';
			package: 'ShoutCore' with: 'ShoutCore-mt.29'.
		
		spec
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.471';
			package: 'OB-Standard' with: 'OB-Standard-lr.458';
			package: 'OB-Morphic' with: 'OB-Morphic-mt.118';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OCForOB' with: 'OCForOB-ul.5';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.202';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Regex' with: 'OB-Regex-lr.22'.
			
		spec
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.153';
			package: 'Refactoring-Changes' with: 'Refactoring-Changes-lr.16';
			package: 'Refactoring-Critics' with: 'Refactoring-Critics-lr.4';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-lr.4';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.23'.
		
		spec
			package: 'AST-Core' with: 'AST-Core-lr.85';
			package: 'AST-Semantic' with: 'AST-Core-lr.15'.
		].! !
